Skip to content
Permalink
Browse files

Fix type declaration path, upgrade React to 16.7.0-alpha.2

  • Loading branch information...
Cryrivers committed Nov 16, 2018
1 parent 16c0c7e commit 22df3ddc9f68bc111d18acee28b42f7aae154d54
Showing with 38 additions and 30 deletions.
  1. +6 −6 package.json
  2. +1 −0 tsconfig.json
  3. +31 −24 yarn.lock
@@ -19,7 +19,7 @@
"scripts": {
"start": "NODE_ENV=development babel -w ./src --out-dir . --extensions \".ts,.tsx\"",
"build": "NODE_ENV=production npm run clean && babel ./src --out-dir . --extensions \".ts,.tsx\" && tsc",
"clean": "rimraf '+(*.d.ts|*.js)'",
"clean": "rimraf *.d.ts *.js",
"format": "prettier --trailing-comma es5 --single-quote --write 'src/**/*' 'exampe/src/**/*' 'example/README.md' 'README.md'",
"test": "jest",
"test:watch": "jest --watch",
@@ -36,15 +36,15 @@
"react-cache": "^2.0.0-alpha.0"
},
"devDependencies": {
"@babel/cli": "^7.1.2",
"@babel/cli": "^7.1.5",
"@babel/core": "^7.1.6",
"@babel/plugin-proposal-class-properties": "^7.1.0",
"@babel/plugin-proposal-object-rest-spread": "^7.0.0",
"@babel/plugin-transform-runtime": "^7.1.0",
"@babel/preset-env": "^7.1.0",
"@babel/preset-env": "^7.1.6",
"@babel/preset-react": "^7.0.0",
"@babel/preset-typescript": "^7.1.0",
"@babel/runtime": "^7.1.2",
"@babel/runtime": "^7.1.5",
"@types/jest": "^23.3.9",
"@types/react": "^16.7.6",
"babel-core": "^7.0.0-bridge.0",
@@ -57,8 +57,8 @@
"lint-staged": "^7.2.2",
"np": "^3.0.4",
"prettier": "^1.14.3",
"react": "^16.7.0-alpha.0",
"react-dom": "^16.7.0-alpha.0",
"react": "^16.7.0-alpha.2",
"react-dom": "^16.7.0-alpha.2",
"react-testing-library": "^5.2.3",
"rimraf": "^2.6.2",
"ts-jest": "^23.10.4",
@@ -6,6 +6,7 @@
"module": "commonjs",
"esModuleInterop": true,
"declaration": true,
"baseUrl": "./",
"declarationDir": "./",
"emitDeclarationOnly": true
},
@@ -2,9 +2,10 @@
# yarn lockfile v1


"@babel/cli@^7.1.2":
version "7.1.2"
resolved "https://registry.yarnpkg.com/@babel/cli/-/cli-7.1.2.tgz#fc2853ae96824b3779ca85de4fd025ce3cf62a5e"
"@babel/cli@^7.1.5":
version "7.1.5"
resolved "https://registry.yarnpkg.com/@babel/cli/-/cli-7.1.5.tgz#4ccf0a8cdabeefdd8ce955384530f050935bc4d7"
integrity sha512-zbO/DtTnaDappBflIU3zYEgATLToRDmW5uN/EGH1GXaes7ydfjqmAoK++xmJIA+8HfDw7UyPZNdM8fhGhfmMhw==
dependencies:
commander "^2.8.1"
convert-source-map "^1.1.0"
@@ -340,9 +341,10 @@
dependencies:
"@babel/helper-plugin-utils" "^7.0.0"

"@babel/plugin-transform-block-scoping@^7.0.0":
version "7.0.0"
resolved "https://registry.yarnpkg.com/@babel/plugin-transform-block-scoping/-/plugin-transform-block-scoping-7.0.0.tgz#1745075edffd7cdaf69fab2fb6f9694424b7e9bc"
"@babel/plugin-transform-block-scoping@^7.1.5":
version "7.1.5"
resolved "https://registry.yarnpkg.com/@babel/plugin-transform-block-scoping/-/plugin-transform-block-scoping-7.1.5.tgz#3e8e0bc9a5104519923302a24f748f72f2f61f37"
integrity sha512-jlYcDrz+5ayWC7mxgpn1Wj8zj0mmjCT2w0mPIMSwO926eXBRxpEgoN/uQVRBfjtr8ayjcmS+xk2G1jaP8JjMJQ==
dependencies:
"@babel/helper-plugin-utils" "^7.0.0"
lodash "^4.17.10"
@@ -552,9 +554,10 @@
"@babel/helper-regex" "^7.0.0"
regexpu-core "^4.1.3"

"@babel/preset-env@^7.1.0":
version "7.1.0"
resolved "https://registry.yarnpkg.com/@babel/preset-env/-/preset-env-7.1.0.tgz#e67ea5b0441cfeab1d6f41e9b5c79798800e8d11"
"@babel/preset-env@^7.1.6":
version "7.1.6"
resolved "https://registry.yarnpkg.com/@babel/preset-env/-/preset-env-7.1.6.tgz#a0bf4b96b6bfcf6e000afc5b72b4abe7cc13ae97"
integrity sha512-YIBfpJNQMBkb6MCkjz/A9J76SNCSuGVamOVBgoUkLzpJD/z8ghHi9I42LQ4pulVX68N/MmImz6ZTixt7Azgexw==
dependencies:
"@babel/helper-module-imports" "^7.0.0"
"@babel/helper-plugin-utils" "^7.0.0"
@@ -569,7 +572,7 @@
"@babel/plugin-transform-arrow-functions" "^7.0.0"
"@babel/plugin-transform-async-to-generator" "^7.1.0"
"@babel/plugin-transform-block-scoped-functions" "^7.0.0"
"@babel/plugin-transform-block-scoping" "^7.0.0"
"@babel/plugin-transform-block-scoping" "^7.1.5"
"@babel/plugin-transform-classes" "^7.1.0"
"@babel/plugin-transform-computed-properties" "^7.0.0"
"@babel/plugin-transform-destructuring" "^7.0.0"
@@ -615,9 +618,10 @@
"@babel/helper-plugin-utils" "^7.0.0"
"@babel/plugin-transform-typescript" "^7.1.0"

"@babel/runtime@^7.1.2":
version "7.1.2"
resolved "https://registry.yarnpkg.com/@babel/runtime/-/runtime-7.1.2.tgz#81c89935f4647706fc54541145e6b4ecfef4b8e3"
"@babel/runtime@^7.1.5":
version "7.1.5"
resolved "https://registry.yarnpkg.com/@babel/runtime/-/runtime-7.1.5.tgz#4170907641cf1f61508f563ece3725150cc6fe39"
integrity sha512-xKnPpXG/pvK1B90JkwwxSGii90rQGKtzcMt2gI5G6+M0REXaq6rOHsGC2ay6/d0Uje7zzvSzjEzfR3ENhFlrfA==
dependencies:
regenerator-runtime "^0.12.0"

@@ -4156,29 +4160,31 @@ react-cache@^2.0.0-alpha.0:
version "2.0.0-alpha.0"
resolved "https://registry.yarnpkg.com/react-cache/-/react-cache-2.0.0-alpha.0.tgz#d02d16a4565fd9f12478a2a41e980ba4fcbab4d5"

react-dom@^16.7.0-alpha.0:
version "16.7.0-alpha.0"
resolved "https://registry.yarnpkg.com/react-dom/-/react-dom-16.7.0-alpha.0.tgz#8379158d4c76d63c989f325f45dfa5762582584f"
react-dom@^16.7.0-alpha.2:
version "16.7.0-alpha.2"
resolved "https://registry.yarnpkg.com/react-dom/-/react-dom-16.7.0-alpha.2.tgz#16632880ed43676315991d8b412cce6975a30282"
integrity sha512-o0mMw8jBlwHjGZEy/vvKd/6giAX0+skREMOTs3/QHmgi+yAhUClp4My4Z9lsKy3SXV+03uPdm1l/QM7NTcGuMw==
dependencies:
loose-envify "^1.1.0"
object-assign "^4.1.1"
prop-types "^15.6.2"
scheduler "^0.11.0-alpha.0"
scheduler "^0.12.0-alpha.2"

react-testing-library@^5.2.3:
version "5.2.3"
resolved "https://registry.yarnpkg.com/react-testing-library/-/react-testing-library-5.2.3.tgz#c3be44bfa5eb1ba2acc1fb218785c40ebbdfe8ed"
dependencies:
dom-testing-library "^3.12.0"

react@^16.7.0-alpha.0:
version "16.7.0-alpha.0"
resolved "https://registry.yarnpkg.com/react/-/react-16.7.0-alpha.0.tgz#e2ed4abe6f268c9b092a1d1e572953684d1783a9"
react@^16.7.0-alpha.2:
version "16.7.0-alpha.2"
resolved "https://registry.yarnpkg.com/react/-/react-16.7.0-alpha.2.tgz#924f2ae843a46ea82d104a8def7a599fbf2c78ce"
integrity sha512-Xh1CC8KkqIojhC+LFXd21jxlVtzoVYdGnQAi/I2+dxbmos9ghbx5TQf9/nDxc4WxaFfUQJkya0w1k6rMeyIaxQ==
dependencies:
loose-envify "^1.1.0"
object-assign "^4.1.1"
prop-types "^15.6.2"
scheduler "^0.11.0-alpha.0"
scheduler "^0.12.0-alpha.2"

read-pkg-up@^1.0.1:
version "1.0.1"
@@ -4534,9 +4540,10 @@ sax@^1.2.4:
version "1.2.4"
resolved "https://registry.yarnpkg.com/sax/-/sax-1.2.4.tgz#2816234e2378bddc4e5354fab5caa895df7100d9"

scheduler@^0.11.0-alpha.0:
version "0.11.0-alpha.0"
resolved "https://registry.yarnpkg.com/scheduler/-/scheduler-0.11.0-alpha.0.tgz#7b132c726608993471db07866f2d59a52b9e190b"
scheduler@^0.12.0-alpha.2:
version "0.12.0-alpha.2"
resolved "https://registry.yarnpkg.com/scheduler/-/scheduler-0.12.0-alpha.2.tgz#2a8bc8dc6ecdb75fa6480ceeedc1f187c9539970"
integrity sha512-bfqFzGH18MjjhePIzYQNR0uGQ1wMCX6Q83c2s+3fzyuqKT6zBI2wNQTpq01q72C7QItAp8if5w2LfMiXnI2SYw==
dependencies:
loose-envify "^1.1.0"
object-assign "^4.1.1"

0 comments on commit 22df3dd

Please sign in to comment.
You can’t perform that action at this time.